Bug 220460 - print/texinfo: installation failure
Summary: print/texinfo: installation failure
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-07-04 00:40 UTC by bkazemi
Modified: 2017-07-13 03:08 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (sunpoet)


Attachments
build script of attempt on 10-C (144.11 KB, text/plain)
2017-07-07 12:40 UTC, robbak
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description bkazemi 2017-07-04 00:40:28 UTC
===>   Registering installation for texinfo-6.4,1
pkg-static: Unable to access file /usr/ports/print/texinfo/work/stage/usr/local/lib/texinfo/MiscXS.a:No such file or directory
pkg-static: Unable to access file /usr/ports/print/texinfo/work/stage/usr/local/lib/texinfo/MiscXS.so:No such file or directory
pkg-static: Unable to access file /usr/ports/print/texinfo/work/stage/usr/local/share/texinfo/Texinfo/Convert/XSParagraph/TestXS.pm:No such file or directory
*** Error code 74
Comment 1 robbak 2017-07-07 12:40:57 UTC
Created attachment 184154 [details]
build script of attempt on 10-C
Comment 2 David Naylor freebsd_committer 2017-07-12 16:11:39 UTC
I've encountered the exact same issue while building the i386 packages for wine.  Once I forced a rebuild of _all_ texinfo dependencies, installation worked.  

I suspect an ABI change in -CURRENT that broke a dependency (sounds like perl based on a recent thread on ports@).  

Please deinstall and reinstall all (perl and p5-Locale-gettext) dependencies of texinfo and report back if that fixed the issue.
Comment 3 bkazemi 2017-07-13 03:07:56 UTC
(In reply to David Naylor from comment #2)
Yep, that fixed it, thanks!